# Gimp.paintbrush

    @accepts(Gimp.Drawable, float, gsize, [float], Gimp.PaintApplicationMode, float)
    @returns(bool)
    def paintbrush(drawable, fade_out, num_strokes, strokes, method, gradient_length):
        # Python wrapper for gimp_paintbrush()

Paint in the current brush with optional fade out parameter and pull colors from a gradient.

This tool is the standard paintbrush. It draws linearly interpolated lines through the specified stroke coordinates. It operates on the specified drawable in the foreground color with the active brush. The 'fade-out' parameter is measured in pixels and allows the brush stroke to linearly fall off. The pressure is set to the maximum at the beginning of the stroke. As the distance of the stroke nears the fade-out value, the pressure will approach zero. The gradient-length is the distance to spread the gradient over. It is measured in pixels. If the gradient-length is 0, no gradient is used.

drawable

  The affected drawable.

fade_out

  Fade out parameter.

num_strokes

  Number of stroke control points (count each coordinate as 2 points).

strokes

  Array of stroke coordinates: { s1.x, s1.y, s2.x, s2.y, ..., sn.x, sn.y }.

method

  The paint method to use.

gradient_length

  Length of gradient to draw.

Returns